Package org.jCharts.types

# Class StockChartDataType

java.lang.Object
org.jCharts.types.IntType
org.jCharts.types.StockChartDataType

All Implemented Interfaces:
  `Serializable`

public class StockChartDataType extends IntType

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StockChartDataType`
`CLOSE`
`static final StockChartDataType`
`HIGH`
`static final StockChartDataType`
`LOW`
`static final StockChartDataType`
`OPEN`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`StockChartDataType(int typeCode)`

## Method Summary

### Methods inherited from class org.jCharts.types.IntType

`getInt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### OPEN

public static final StockChartDataType OPEN

### CLOSE

public static final StockChartDataType CLOSE

### HIGH

public static final StockChartDataType HIGH

### LOW

public static final StockChartDataType LOW

## Constructor Details

### StockChartDataType

private StockChartDataType(int typeCode)

Parameters:
  `int` -